package kubernetes

import (
	"fmt"

	proto "git.badhouseplants.net/softplayer/softplayer-go-proto/pkg/environments"
)

type Kubernetes interface {
	GetKubernetesName() string
	RawKubernetesName() string
}

func GetKubernetes(k8s string) (Kubernetes, error) {
	switch k8s {
	case proto.Kubernetes_KUBERNETES_K3S.String(), "k3s":
		return &K3s{}, nil
	default:
		return nil, fmt.Errorf("unknown provider: %s", k8s)
	}
}
